# key

Identifies the message field that supplies the IP address to look up.

This parameter applies to MaxMind/GeoIP DB lookup (mmdblookup).

Name:

  key

Scope:

  input

Type:

  string (word)

Default:

  none

Required?:

  yes

Introduced:

  8.24.0

## Description

This parameter specifies the name of the field in the message that contains the IP address to be looked up. This is typically a JSON property obtained from a parsed message or structured log.

## Input usage

    action(type="mmdblookup"
           key="!clientip"
           mmdbFile="/etc/rsyslog.d/GeoLite2-City.mmdb"
           fields=["!continent!code", "!location"])

## See also

See also MaxMind/GeoIP DB lookup (mmdblookup).

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.